%IRIS 150 objects with 4 features in 3 classes
%
%  A = IRIS
%
% Iris plants dataset by R.A.Fisher, 150 objects, 4 features, 3
% classes.

function a = iris

a = pr_loadmatfile;
if isempty(a)
  opt.labfeat    = 5;
  opt.featnames  = {'sepal length' 'sepal width' 'petal length' 'petal width'};
  opt.classnames = {'Iris-setosa' 'Iris-versicolor' 'Iris-virginica'};
  opt.desc       = 'Iris Plant database from UCI. A classic dataset in the pattern recognition literature.  The original dataset is a multiclass classification problem, introduced by R.A. Fisher, The use of multiple measurements in taxonomic problems. Ann Eugenics, 7:179--188, 1936.';
  opt.link       = 'ftp://ftp.ics.uci.edu/pub/machine-learning-databases/iris/';
  opt.dsetname   = 'Iris';
  a = pr_download('http://prtools.tudelft.nl/prdatasets/iris.dat',[],opt);
end

return
